Index: uspace/srv/vfs/vfs_ipc.c
===================================================================
--- uspace/srv/vfs/vfs_ipc.c	(revision eb13ef8440f5e94338275db8fd83e4e513c82ab1)
+++ uspace/srv/vfs/vfs_ipc.c	(revision 95a47b0706c598a41f34364e1b4080edb0d181e5)
@@ -37,7 +37,7 @@
 static void vfs_in_clone(ipc_call_t *req)
 {
-	int oldfd = IPC_GET_ARG1(req);
-	int newfd = IPC_GET_ARG2(req);
-	bool desc = IPC_GET_ARG3(req);
+	int oldfd = ipc_get_arg1(req);
+	int newfd = ipc_get_arg2(req);
+	bool desc = ipc_get_arg3(req);
 
 	int outfd = -1;
@@ -48,5 +48,5 @@
 static void vfs_in_fsprobe(ipc_call_t *req)
 {
-	service_id_t service_id = (service_id_t) IPC_GET_ARG1(req);
+	service_id_t service_id = (service_id_t) ipc_get_arg1(req);
 	char *fs_name = NULL;
 	vfs_fs_probe_info_t info;
@@ -113,5 +113,5 @@
 static void vfs_in_mount(ipc_call_t *req)
 {
-	int mpfd = IPC_GET_ARG1(req);
+	int mpfd = ipc_get_arg1(req);
 
 	/*
@@ -120,8 +120,8 @@
 	 * in the request.
 	 */
-	service_id_t service_id = (service_id_t) IPC_GET_ARG2(req);
-
-	unsigned int flags = (unsigned int) IPC_GET_ARG3(req);
-	unsigned int instance = IPC_GET_ARG4(req);
+	service_id_t service_id = (service_id_t) ipc_get_arg2(req);
+
+	unsigned int flags = (unsigned int) ipc_get_arg3(req);
+	unsigned int instance = ipc_get_arg4(req);
 
 	char *opts = NULL;
@@ -159,6 +159,6 @@
 static void vfs_in_open(ipc_call_t *req)
 {
-	int fd = IPC_GET_ARG1(req);
-	int mode = IPC_GET_ARG2(req);
+	int fd = ipc_get_arg1(req);
+	int mode = ipc_get_arg2(req);
 
 	errno_t rc = vfs_op_open(fd, mode);
@@ -168,5 +168,5 @@
 static void vfs_in_put(ipc_call_t *req)
 {
-	int fd = IPC_GET_ARG1(req);
+	int fd = ipc_get_arg1(req);
 	errno_t rc = vfs_op_put(fd);
 	async_answer_0(req, rc);
@@ -175,7 +175,7 @@
 static void vfs_in_read(ipc_call_t *req)
 {
-	int fd = IPC_GET_ARG1(req);
-	aoff64_t pos = MERGE_LOUP32(IPC_GET_ARG2(req),
-	    IPC_GET_ARG3(req));
+	int fd = ipc_get_arg1(req);
+	aoff64_t pos = MERGE_LOUP32(ipc_get_arg2(req),
+	    ipc_get_arg3(req));
 
 	size_t bytes = 0;
@@ -192,5 +192,5 @@
 	errno_t rc;
 
-	basefd = IPC_GET_ARG1(req);
+	basefd = ipc_get_arg1(req);
 
 	/* Retrieve the old path. */
@@ -230,6 +230,6 @@
 static void vfs_in_resize(ipc_call_t *req)
 {
-	int fd = IPC_GET_ARG1(req);
-	int64_t size = MERGE_LOUP32(IPC_GET_ARG2(req), IPC_GET_ARG3(req));
+	int fd = ipc_get_arg1(req);
+	int64_t size = MERGE_LOUP32(ipc_get_arg2(req), ipc_get_arg3(req));
 	errno_t rc = vfs_op_resize(fd, size);
 	async_answer_0(req, rc);
@@ -238,5 +238,5 @@
 static void vfs_in_stat(ipc_call_t *req)
 {
-	int fd = IPC_GET_ARG1(req);
+	int fd = ipc_get_arg1(req);
 	errno_t rc = vfs_op_stat(fd);
 	async_answer_0(req, rc);
@@ -245,5 +245,5 @@
 static void vfs_in_statfs(ipc_call_t *req)
 {
-	int fd = (int) IPC_GET_ARG1(req);
+	int fd = (int) ipc_get_arg1(req);
 
 	errno_t rc = vfs_op_statfs(fd);
@@ -253,5 +253,5 @@
 static void vfs_in_sync(ipc_call_t *req)
 {
-	int fd = IPC_GET_ARG1(req);
+	int fd = ipc_get_arg1(req);
 	errno_t rc = vfs_op_sync(fd);
 	async_answer_0(req, rc);
@@ -260,6 +260,6 @@
 static void vfs_in_unlink(ipc_call_t *req)
 {
-	int parentfd = IPC_GET_ARG1(req);
-	int expectfd = IPC_GET_ARG2(req);
+	int parentfd = ipc_get_arg1(req);
+	int expectfd = ipc_get_arg2(req);
 
 	char *path;
@@ -273,5 +273,5 @@
 static void vfs_in_unmount(ipc_call_t *req)
 {
-	int mpfd = IPC_GET_ARG1(req);
+	int mpfd = ipc_get_arg1(req);
 	errno_t rc = vfs_op_unmount(mpfd);
 	async_answer_0(req, rc);
@@ -280,5 +280,5 @@
 static void vfs_in_wait_handle(ipc_call_t *req)
 {
-	bool high_fd = IPC_GET_ARG1(req);
+	bool high_fd = ipc_get_arg1(req);
 	int fd = -1;
 	errno_t rc = vfs_op_wait_handle(high_fd, &fd);
@@ -292,6 +292,6 @@
 	 * For defined flags, see <ipc/vfs.h>.
 	 */
-	int parentfd = IPC_GET_ARG1(req);
-	int flags = IPC_GET_ARG2(req);
+	int parentfd = ipc_get_arg1(req);
+	int flags = ipc_get_arg2(req);
 
 	int fd = 0;
@@ -307,7 +307,7 @@
 static void vfs_in_write(ipc_call_t *req)
 {
-	int fd = IPC_GET_ARG1(req);
-	aoff64_t pos = MERGE_LOUP32(IPC_GET_ARG2(req),
-	    IPC_GET_ARG3(req));
+	int fd = ipc_get_arg1(req);
+	aoff64_t pos = MERGE_LOUP32(ipc_get_arg2(req),
+	    ipc_get_arg3(req));
 
 	size_t bytes = 0;
@@ -330,10 +330,10 @@
 		async_get_call(&call);
 
-		if (!IPC_GET_IMETHOD(&call)) {
+		if (!ipc_get_imethod(&call)) {
 			async_answer_0(&call, EOK);
 			break;
 		}
 
-		switch (IPC_GET_IMETHOD(&call)) {
+		switch (ipc_get_imethod(&call)) {
 		case VFS_IN_CLONE:
 			vfs_in_clone(&call);
